.btn {
    display: block;
    padding: 15px 0;
    width: 400px;
    margin: 20px auto 0;
    font-size: 1.6rem;
    font-weight: bold;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all .3s ease;
}
.blue {
    background: #2f57b4;
    border: 1px solid transparent;
    color: #FFFFFF;
}
.blue:hover, .blue:active {
    background: #FFFFFF;
    border: 1px solid #2f57b4;
    color: #2f57b4;
}
.orange {
    background: #F07057;
    border: 1px solid transparent;
    color: #FFFFFF;
}
.orange:hover, .orange:active  {
    background: #FFFFFF;
    border: 1px solid #F07057;
    color: #F07057;
}
.white {
    background: #FFFFFF;
    border: 1px solid #2A4995;
    color: #2A4995;
}
.white:hover, .white:active  {
    background: #2f57b4;
    border: 1px solid #2A4995;
    color: #FFFFFF;
}
.red {
    background: #D34A4A;
    border: 1px solid transparent;
    color: #FFFFFF;
}
.red:hover, .blue:active {
    background: #FFFFFF;
    border: 1px solid #D34A4A;
    color: #D34A4A;
}

/* 光らせるためのstyle */
.shine{
    position: relative;
    overflow: hidden;
}
/* 光の疑似要素 */
.shine::before{
    content: "";
    animation: shine 2s cubic-bezier(0.25, 0, 0.25, 1) infinite;
    background-color: #fff;
    width: 140%;
    height: 100%;
    transform: skewX(-45deg);
    top: 0;
    left: -160%;
    opacity: 0.5;
    position: absolute;
}
/* 光の動き */
@keyframes shine{
    0% {
        left: -160%;
        opacity: 0;
    }
    70% {
        left: -160%;
        opacity: 0.5;
    }
    71% {
        left: -160%;
        opacity: 1;
    }
    100% {
        left: -20%;
        opacity: 0;
    }
}

@media screen and (max-width: 768px) {
    .btn {
        font-size: 1.4rem;
        padding: 15px 0;
        width: 90%;
    }
}